Package org.firebirdsql.gds

## Enum ClumpletReader.Kind

- java.lang.Object
- - java.lang.Enum<ClumpletReader.Kind>
  - - org.firebirdsql.gds.ClumpletReader.Kind

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ClumpletReader.Kind>`

Enclosing class:
  ClumpletReader

    public static enum ClumpletReader.Kind
    extends java.lang.Enum<ClumpletReader.Kind>

### Enum Constant Summary

Enum Constants
`EndOfList`
`SpbAttach`
`SpbReceiveItems`
`SpbSendItems`
`SpbStart`
`Tagged`
`Tpb`
`UnTagged`
`WideTagged`
`WideUnTagged`

### Method Summary

All Methods Static Methods Concrete Methods
`static ClumpletReader.Kind` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ClumpletReader.Kind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EndOfList

    public static final ClumpletReader.Kind EndOfList

#### Tagged

    public static final ClumpletReader.Kind Tagged

#### UnTagged

    public static final ClumpletReader.Kind UnTagged

#### SpbAttach

    public static final ClumpletReader.Kind SpbAttach

#### SpbStart

    public static final ClumpletReader.Kind SpbStart

#### Tpb

    public static final ClumpletReader.Kind Tpb

#### WideTagged

    public static final ClumpletReader.Kind WideTagged

#### WideUnTagged

    public static final ClumpletReader.Kind WideUnTagged

#### SpbSendItems

    public static final ClumpletReader.Kind SpbSendItems

#### SpbReceiveItems

    public static final ClumpletReader.Kind SpbReceiveItems

### Method Detail

#### values

    public static ClumpletReader.Kind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClumpletReader.Kind c : ClumpletReader.Kind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClumpletReader.Kind valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null